Plank.AbstractMain – plank Reference Manual

# AbstractMain

## Object Hierarchy:

## Description:

public abstract class AbstractMain : Application

The main class for all dock applications. All docks should extend this class. In the constructor, the string fields should be initialized to customize the dock.

Namespace: Plank
Package: plank

## Content:

### Properties:

- public string[] about_artists { get; set construct; }
  The list of artists (to show in about dialog).
- public string[] about_authors { get; set construct; }
  The list of authors (to show in about dialog).
- public string[] about_documenters { get; set construct; }
  The list of documenters (to show in about dialog).
- public License about_license_type { get; set construct; }
  The license of this program (to show in about dialog).
- public string about_translators { get; set construct; }
  The list of translators (to show in about dialog).
- public string app_copyright { get; construct; }
  The copyright year(s).
- public string app_dbus { get; construct; }
  The (unique) dbus path for this program.
- public string app_icon { get; construct; }
  The name of this program's icon.
- public string app_launcher { get; construct; }
  The name of the launcher (.desktop file) for this program.
- public string build_data_dir { get; construct; }
  Should be Build.DATADIR
- public string build_pkg_data_dir { get; construct; }
  Should be Build.PKGDATADIR
- public string build_release_name { get; construct; }
  Should be Build.RELEASE_NAME
- public string build_version { get; construct; }
  Should be Build.VERSION
- public string build_version_info { get; construct; }
  Should be Build.VERSION_INFO
- public string exec_name { get; construct; }
  The executable name of the program.
- public string help_url { get; set construct; }
  The URL for this program's help.
- public string main_url { get; set construct; }
  The URL for this program's website.
- public string program_name { get; construct; }
  The displayed name of the program.
- public string translate_url { get; set construct; }
  The URL for translating this program.

### Creation methods:

- protected AbstractMain ()

### Methods:

- public override void activate ()
- public override int command_line (ApplicationCommandLine command_line)
- protected virtual void create_actions ()
  Creates the actions and adds them to this GLib.Application.
- protected virtual void create_docks ()
  Creates the docks.
- public override int handle_local_options (VariantDict options)
- protected virtual void initialize ()
  Additional initializations before the dock is created.
- public bool is_launcher_for_dock (string launcher)
  Is true if the launcher given is the launcher for this dock.
- public override void startup ()

### Inherited Members:

All known members inherited from class Gtk.Application

- active_window
- add_accelerator
- add_window
- app_menu
- get_accels_for_action
- get_actions_for_accel
- get_active_window
- get_app_menu
- get_menu_by_id
- get_menubar

- get_window_by_id
- get_windows
- inhibit
- is_inhibited
- list_action_descriptions
- menubar
- prefers_app_menu
- query_end
- register_session

- remove_accelerator
- remove_window
- screensaver_active
- set_accels_for_action
- set_app_menu
- set_menubar
- uninhibit
- window_added
- window_removed

All known members inherited from class GLib.Application

- action_group
- activate
- add_main_option
- add_main_option_entries
- add_option_group
- add_platform_data
- after_emit
- application_id
- before_emit
- bind_busy_property
- command_line
- dbus_register
- dbus_unregister
- flags
- get_application_id
- get_dbus_connection
- get_dbus_object_path
- get_default
- get_flags

- get_inactivity_timeout
- get_is_busy
- get_is_registered
- get_is_remote
- get_resource_base_path
- handle_local_options
- hold
- id_is_valid
- inactivity_timeout
- is_busy
- is_registered
- is_remote
- local_command_line
- mark_busy
- name_lost
- open
- quit
- quit_mainloop
- register

- release
- resource_base_path
- run
- run_mainloop
- send_notification
- set_action_group
- set_application_id
- set_default
- set_flags
- set_inactivity_timeout
- set_option_context_description
- set_option_context_parameter_string
- set_option_context_summary
- set_resource_base_path
- shutdown
- startup
- unbind_busy_property
- unmark_busy
- withdraw_notification

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface GLib.ActionGroup

- action_added
- action_enabled_changed
- action_removed
- action_state_changed
- activate_action

- change_action_state
- get_action_enabled
- get_action_parameter_type
- get_action_state
- get_action_state_hint

- get_action_state_type
- has_action
- list_actions
- query_action

All known members inherited from interface GLib.ActionMap

- add_action
- add_action_entries

- lookup_action

- remove_action